
// The View holds all the objects that will be seen
// The View may be guided by the Model and gets passed to the Controller
// Anything the Controller will need to control store on v (this)

export class View {

    constructor(m) {

        // receive m for the model
        // and store the view (this) on v just for convenience
        const v = this;

        v.logo = new Pic("logo.png").sca(.5).pos(50,50).expand().cur();
        // the event will go in the Controller
        new Label({text:"MVC - Model View Controller", color:light}).scaleTo(v.logo, 95).loc(55, 205);

        const color = m.getRandomColor();
        v.bar = new Rectangle(W, 100, color).cur().center().mov(0,20);
        // the event will go in the Controller
    
    }

}